hpct-query(1)

NAME
hpct-query - HiPerConTracer Query Tool

SYNOPSIS
hpct-query database_configuration ping|traceroute [-L level | - -loglevel level] [-Z on|off | - -logcolor on|off] [-O file | - -logfile file] [-q | - -quiet] [-v | - -verbose] [-o filename | - -output filename] [-T table_name | - -table table_name] [-V version | - -table-version version] [-M mapping_file | - -address-to-measurementid mapping_file] [- -deduplication on|off] [- -from-time timestamp] [- -to-time timestamp] [- -from-measurement-id measurement_identifier] [- -to-measurement-id measurement_identifier]
hpct-query [-h | - -help]
hpct-query [- -version]

DESCRIPTION
hpct-query provides a simple query command to query a HiPerConTracer database for Ping or Traceroute results within a given time range. The output format is that same as the uncompressed HiPerConTracer results formant. See the HiPerConTracer manpage for the format description.

ARGUMENTS
The following argument may be provided:

-L level | - -loglevel level
    Sets the minimum logging level to the provided value: 0=trace, 1=debug, 2=info, 3=warning, 4=error, 5=fatal.

-Z on|off | - -logcolor on|off
    Enables (on) or disables (off) the usage of ANSI color escape sequences to colorise the log output according to its level.

-O file | - -logfile file
    Sets a file name for appending the log output to. If a file is set, no log output is made to the console. Otherwise, all log output will be written to the console.

-q | - -quiet
    Sets the minimum logging level to 3 (warning).

-v | - -verbose
    Sets the minimum logging level to 0 (trace).

-o filename | - -output filename
    Sets the specified filename as output file. Extensions .gz, .bz2, and .xz are recognised to enable compression.

-T table_name | - -table table_name
    Sets a custom table name to query from.

-V version | - -tabl-version version
    Sets the table version (default is: 2). This option is to be used to read a table from on older HiPerConTracer schema version.

-M mapping_file | - -address-to-measurementid mapping_file
    Sets a mapping file, containing space-separated IP address to measurement ID mappings with one mapping per line. Where measurement ID is zero, the measurement ID is looked up from the mappings. This option can be used to later map measurements to a useful measurement ID for export. Example mapping file contents:
    1.2.3.4 1000
    3ffe::1:2:3 1000
    5.6.7.8 2222
    2001::1:2:3 2222
    ...

- -deduplication on|off
    Perform deduplication of the output. This option is for debugging, or to handle badly misconfigured database schemata where there primary index is non-unique. In almost all cases, this option is unnecessary and should be turned off. Default: off.

- -from-time timestamp
    Set the beginning of the time range as string in format "%Y-%m-%d %H:%M:%S.%F". If not provided, all results will be queried.

- -to-time timestamp
    Set the end of the time range as string in format "%Y-%m-%d %H:%M:%S.%F". If not provided, all results after a given from-time will be queried. Note: data at to-time timestamp is not included in the export, only time stamps less than to-time! That is, the time interval for export is [from-timestamp, to-timestamp). This ensures the possibility to for example export daily batches without having the same value included in two files!

- -from-measurement-id measurement_identifier
    Set the beginning of the measurement identifier range. If not provided, all results will be queried.

- -to-measurement-id measurement_identifier
    Set the end of the measurement identifier range. If not provided, all results will be queried.

-h | - -help
    Prints command help.

- -version
    Prints program version.

EXAMPLES

hpct-query hipercontracer-database.conf ping

hpct-query hipercontracer-database.conf traceroute

hpct-query hipercontracer-database.conf ping --from-time 2022-09-29 13:00:00

hpct-query hipercontracer-database.conf traceroute --from-time 2022-09-29 00:00:00 --to-time 2022-09-29 12:00:00

hpct-query hipercontracer-database.conf traceroute --from-measurement-id 1000 --to-measurement-id 2000

hpct-query hipercontracer-database.conf traceroute --from-measurement-id 1000 --to-measurement-id 2000 --output results.xz

hpct-query hipercontracer-database.conf ping --table test_ping_table

hpct-query hipercontracer-database.conf traceroute -T Traceroute_v1 -V 1 --from-time 2015-10-16 --to-time 2015-10-17 -o Traceroute-2015-10-16.hpct.xz -M addressmappings.txt

hpct-query --version

hpct-query --h

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/hipercontracer
mailto://dreibh@simula.no